Notification = object_add();
object_set_depth(Notification, -111000);

object_event_add(Notification, ev_create, 0, '
	lifeTime = 90;
	text = "";
	x = view_wview[0] / 2;
	y = view_hview[0] * 3 / 4;
');
object_event_add(Notification, ev_step, ev_step_normal, '
	lifeTime -= global.delta_factor;
	if(lifeTime < 0) instance_destroy();
');
object_event_add(Notification, ev_draw, 0, '
	var xoff, yoff, xsize, ysize, alpha;
	xoff = view_xview[0] + x;
	yoff = view_yview[0] + y;
	xsize = string_width(text);
	ysize = string_height(text);
	alpha = min(1, (lifeTime / 30));
	
	draw_set_alpha(alpha / 2);
	draw_set_color(c_black);
	draw_rectangle(xoff - xsize / 2 - 4, yoff - ysize / 2 - 4, xoff + xsize / 2 + 4, yoff + ysize / 2 + 4, false);
	
	draw_set_alpha(alpha);
	draw_set_color(c_white);
	draw_set_halign(fa_center);
	draw_set_valign(fa_middle);
	draw_text(xoff, yoff, text);
');